package com.ssj.service.conch.teacher.library.dto;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author yrf
 * @date 2019/7/11 15:53
 */
public class FeedbackDTO implements Serializable {

    private static final long serialVersionUID = 1801651652213875638L;

    private String pushId;
    private String suggest;

    @JSONField(serialize = false)
    private String homeworkPictureStr;

    @JSONField(serialize = false)
    private String vipId;

    private List<String> homeworkPictureList;

    @JSONField(format = "yyyy.MM.dd HH:mm")
    private Date pushTime;

    public String getPushId() {
        return pushId;
    }

    public void setPushId(String pushId) {
        this.pushId = pushId;
    }

    public String getSuggest() {
        return suggest;
    }

    public void setSuggest(String suggest) {
        this.suggest = suggest;
    }

    public void setHomeworkPictureStr(String homeworkPictureStr) {
        this.homeworkPictureStr = homeworkPictureStr;
    }

    public void setHomeworkPictureList(List<String> homeworkPictureList) {
        this.homeworkPictureList = homeworkPictureList;
    }

    public List<String> getHomeworkPictureList() {
        return this.homeworkPictureList;
    }

    public Date getPushTime() {
        return pushTime;
    }

    public void setPushTime(Date pushTime) {
        this.pushTime = pushTime;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }
}
